<!DOCTYPE html>
<html xmlns='http://www.w3.org/1999/xhtml'>
  <head>
    <title>Code coverage for Telehealthconsulting</title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <script src='./assets/0.12.3/application.js' type='text/javascript'></script>
    <link href='./assets/0.12.3/application.css' media='screen, projection, print' rel='stylesheet' type='text/css' />
    <link rel="shortcut icon" type="image/png" href="./assets/0.12.3/favicon_green.png" />
    <link rel="icon" type="image/png" href="./assets/0.12.3/favicon.png" />
  </head>

  <body>
    <div id="loading">
      <img src="./assets/0.12.3/loading.gif" alt="loading"/>
    </div>
    <div id="wrapper" class="hide">
      <div class="timestamp">Generated <abbr class="timeago" title="2021-10-13T20:30:20+07:00">2021-10-13T20:30:20+07:00</abbr></div>
      <ul class="group_tabs"></ul>

      <div id="content">
        <div class="file_list_container" id="AllFiles">
  <h2>
    <span class="group_name">All Files</span>
    (<span class="covered_percent">
      <span class="green">
  97.78%
</span>

     </span>
     covered at
     <span class="covered_strength">
       <span class="green">
         1.24
       </span>
    </span> hits/line
    )
  </h2>

  <a name="AllFiles"></a>

  <div>
    <b>21</b> files in total.
  </div>

  <div class="t-line-summary">
    <b>45</b> relevant lines,
    <span class="green"><b>44</b> lines covered</span> and
    <span class="red"><b>1</b> lines missed. </span>
    (<span class="green">
  97.78%
</span>
)
  </div>

  

  <div class="file_list--responsive">
    <table class="file_list">
      <thead>
        <tr>
          <th>File</th>
          <th class="cell--number">% covered</th>
          <th class="cell--number">Lines</th>
          <th class="cell--number">Relevant Lines</th>
          <th class="cell--number">Lines covered</th>
          <th class="cell--number">Lines missed</th>
          <th class="cell--number">Avg. Hits / Line</th>
          
        </tr>
      </thead>
      <tbody>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#e9352a1e31b79ae66666ecf77e15f8e80c0e425c" class="src_link" title="app/controllers/admin_controller.rb">app/controllers/admin_controller.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">5</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#46273cbaedea6345f4dafeac1a23b32e3ced0fcc" class="src_link" title="app/controllers/application_controller.rb">app/controllers/application_controller.rb</a></td>
            <td class="red strong cell--number t-file__coverage">66.67 %</td>
            <td class="cell--number">8</td>
            <td class="cell--number">3</td>
            <td class="cell--number">2</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0.67</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#d3d187d8a7191ae48bae2269d356f7398eaa1f98" class="src_link" title="app/controllers/doctor_controller.rb">app/controllers/doctor_controller.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">5</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#0b5fce11849f7818fe77f48811b3c9567801a8a8" class="src_link" title="app/controllers/employee_controller.rb">app/controllers/employee_controller.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">6</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#46b107fe28fb593935c4ee034098af8e1cc1824c" class="src_link" title="app/controllers/medical_officer_controller.rb">app/controllers/medical_officer_controller.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">6</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#0f13a4f19b953b0cc2160a90d3c8144d09f2c0eb" class="src_link" title="app/controllers/reception_controller.rb">app/controllers/reception_controller.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">6</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#579c6035930e50b14e64239434af241edd729c1e" class="src_link" title="app/controllers/session_controller.rb">app/controllers/session_controller.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">26</td>
            <td class="cell--number">12</td>
            <td class="cell--number">12</td>
            <td class="cell--number">0</td>
            <td class="cell--number">2.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#daa5a177dff4567bc8b193e423b59740e02ef233" class="src_link" title="app/controllers/team_leader_controller.rb">app/controllers/team_leader_controller.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">6</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#1151f0105ce968309766039189cbe1989ff13f00" class="src_link" title="app/controllers/volunteer_controller.rb">app/controllers/volunteer_controller.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">6</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#51927763d3f819e5cf9942c11aed9aa03b93970a" class="src_link" title="app/helpers/admin_helper.rb">app/helpers/admin_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#86c18b2bb2d84695179a8a353245175f5b81cd7b" class="src_link" title="app/helpers/application_helper.rb">app/helpers/application_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#ed4b0a2624288cde2c00d81ab6f2b379ac9243a4" class="src_link" title="app/helpers/doctor_helper.rb">app/helpers/doctor_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#d8c8856b308fdf469edc9f0e8205d593825335e7" class="src_link" title="app/helpers/employee_helper.rb">app/helpers/employee_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#fe1faa26b690807b6910d788994de5a2f6be8b93" class="src_link" title="app/helpers/medical_officer_helper.rb">app/helpers/medical_officer_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#53aa52fa23a1472cf06de0cd0069c196c0d5568f" class="src_link" title="app/helpers/reception_helper.rb">app/helpers/reception_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#4f5ffe3c20427e0a4849d3c1f176a36d12ce21bf" class="src_link" title="app/helpers/session_helper.rb">app/helpers/session_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#8098987c85a87b2a0d035bd22a46e31eee58d796" class="src_link" title="app/helpers/team_leader_helper.rb">app/helpers/team_leader_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#1b7c7d124c9fa15a79ef73b8d4f4e71c29a83117" class="src_link" title="app/helpers/volunteer_helper.rb">app/helpers/volunteer_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#bb0c584197e340a7ec3c89ce4bd11c9a25334025" class="src_link" title="app/models/application_record.rb">app/models/application_record.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">5</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#86651ba87d0ff72375c7769f1b95be9784812c32" class="src_link" title="app/models/role.rb">app/models/role.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">5</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#c5d91872b5963799da755249162c80e6fb813241" class="src_link" title="app/models/user.rb">app/models/user.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">8</td>
            <td class="cell--number">3</td>
            <td class="cell--number">3</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
      </tbody>
    </table>
  </div>
</div>


        
          <div class="file_list_container" id="Controllers">
  <h2>
    <span class="group_name">Controllers</span>
    (<span class="covered_percent">
      <span class="green">
  96.55%
</span>

     </span>
     covered at
     <span class="covered_strength">
       <span class="green">
         1.38
       </span>
    </span> hits/line
    )
  </h2>

  <a name="Controllers"></a>

  <div>
    <b>9</b> files in total.
  </div>

  <div class="t-line-summary">
    <b>29</b> relevant lines,
    <span class="green"><b>28</b> lines covered</span> and
    <span class="red"><b>1</b> lines missed. </span>
    (<span class="green">
  96.55%
</span>
)
  </div>

  

  <div class="file_list--responsive">
    <table class="file_list">
      <thead>
        <tr>
          <th>File</th>
          <th class="cell--number">% covered</th>
          <th class="cell--number">Lines</th>
          <th class="cell--number">Relevant Lines</th>
          <th class="cell--number">Lines covered</th>
          <th class="cell--number">Lines missed</th>
          <th class="cell--number">Avg. Hits / Line</th>
          
        </tr>
      </thead>
      <tbody>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#e9352a1e31b79ae66666ecf77e15f8e80c0e425c" class="src_link" title="app/controllers/admin_controller.rb">app/controllers/admin_controller.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">5</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#46273cbaedea6345f4dafeac1a23b32e3ced0fcc" class="src_link" title="app/controllers/application_controller.rb">app/controllers/application_controller.rb</a></td>
            <td class="red strong cell--number t-file__coverage">66.67 %</td>
            <td class="cell--number">8</td>
            <td class="cell--number">3</td>
            <td class="cell--number">2</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0.67</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#d3d187d8a7191ae48bae2269d356f7398eaa1f98" class="src_link" title="app/controllers/doctor_controller.rb">app/controllers/doctor_controller.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">5</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#0b5fce11849f7818fe77f48811b3c9567801a8a8" class="src_link" title="app/controllers/employee_controller.rb">app/controllers/employee_controller.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">6</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#46b107fe28fb593935c4ee034098af8e1cc1824c" class="src_link" title="app/controllers/medical_officer_controller.rb">app/controllers/medical_officer_controller.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">6</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#0f13a4f19b953b0cc2160a90d3c8144d09f2c0eb" class="src_link" title="app/controllers/reception_controller.rb">app/controllers/reception_controller.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">6</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#579c6035930e50b14e64239434af241edd729c1e" class="src_link" title="app/controllers/session_controller.rb">app/controllers/session_controller.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">26</td>
            <td class="cell--number">12</td>
            <td class="cell--number">12</td>
            <td class="cell--number">0</td>
            <td class="cell--number">2.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#daa5a177dff4567bc8b193e423b59740e02ef233" class="src_link" title="app/controllers/team_leader_controller.rb">app/controllers/team_leader_controller.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">6</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#1151f0105ce968309766039189cbe1989ff13f00" class="src_link" title="app/controllers/volunteer_controller.rb">app/controllers/volunteer_controller.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">6</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
      </tbody>
    </table>
  </div>
</div>

        
          <div class="file_list_container" id="Channels">
  <h2>
    <span class="group_name">Channels</span>
    (<span class="covered_percent">
      <span class="green">
  100.0%
</span>

     </span>
     covered at
     <span class="covered_strength">
       <span class="red">
         0.0
       </span>
    </span> hits/line
    )
  </h2>

  <a name="Channels"></a>

  <div>
    <b>0</b> files in total.
  </div>

  <div class="t-line-summary">
    <b>0</b> relevant lines,
    <span class="green"><b>0</b> lines covered</span> and
    <span class="red"><b>0</b> lines missed. </span>
    (<span class="green">
  100.0%
</span>
)
  </div>

  

  <div class="file_list--responsive">
    <table class="file_list">
      <thead>
        <tr>
          <th>File</th>
          <th class="cell--number">% covered</th>
          <th class="cell--number">Lines</th>
          <th class="cell--number">Relevant Lines</th>
          <th class="cell--number">Lines covered</th>
          <th class="cell--number">Lines missed</th>
          <th class="cell--number">Avg. Hits / Line</th>
          
        </tr>
      </thead>
      <tbody>
        
      </tbody>
    </table>
  </div>
</div>

        
          <div class="file_list_container" id="Models">
  <h2>
    <span class="group_name">Models</span>
    (<span class="covered_percent">
      <span class="green">
  100.0%
</span>

     </span>
     covered at
     <span class="covered_strength">
       <span class="yellow">
         1.0
       </span>
    </span> hits/line
    )
  </h2>

  <a name="Models"></a>

  <div>
    <b>3</b> files in total.
  </div>

  <div class="t-line-summary">
    <b>7</b> relevant lines,
    <span class="green"><b>7</b> lines covered</span> and
    <span class="red"><b>0</b> lines missed. </span>
    (<span class="green">
  100.0%
</span>
)
  </div>

  

  <div class="file_list--responsive">
    <table class="file_list">
      <thead>
        <tr>
          <th>File</th>
          <th class="cell--number">% covered</th>
          <th class="cell--number">Lines</th>
          <th class="cell--number">Relevant Lines</th>
          <th class="cell--number">Lines covered</th>
          <th class="cell--number">Lines missed</th>
          <th class="cell--number">Avg. Hits / Line</th>
          
        </tr>
      </thead>
      <tbody>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#bb0c584197e340a7ec3c89ce4bd11c9a25334025" class="src_link" title="app/models/application_record.rb">app/models/application_record.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">5</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#86651ba87d0ff72375c7769f1b95be9784812c32" class="src_link" title="app/models/role.rb">app/models/role.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">5</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#c5d91872b5963799da755249162c80e6fb813241" class="src_link" title="app/models/user.rb">app/models/user.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">8</td>
            <td class="cell--number">3</td>
            <td class="cell--number">3</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
      </tbody>
    </table>
  </div>
</div>

        
          <div class="file_list_container" id="Mailers">
  <h2>
    <span class="group_name">Mailers</span>
    (<span class="covered_percent">
      <span class="green">
  100.0%
</span>

     </span>
     covered at
     <span class="covered_strength">
       <span class="red">
         0.0
       </span>
    </span> hits/line
    )
  </h2>

  <a name="Mailers"></a>

  <div>
    <b>0</b> files in total.
  </div>

  <div class="t-line-summary">
    <b>0</b> relevant lines,
    <span class="green"><b>0</b> lines covered</span> and
    <span class="red"><b>0</b> lines missed. </span>
    (<span class="green">
  100.0%
</span>
)
  </div>

  

  <div class="file_list--responsive">
    <table class="file_list">
      <thead>
        <tr>
          <th>File</th>
          <th class="cell--number">% covered</th>
          <th class="cell--number">Lines</th>
          <th class="cell--number">Relevant Lines</th>
          <th class="cell--number">Lines covered</th>
          <th class="cell--number">Lines missed</th>
          <th class="cell--number">Avg. Hits / Line</th>
          
        </tr>
      </thead>
      <tbody>
        
      </tbody>
    </table>
  </div>
</div>

        
          <div class="file_list_container" id="Helpers">
  <h2>
    <span class="group_name">Helpers</span>
    (<span class="covered_percent">
      <span class="green">
  100.0%
</span>

     </span>
     covered at
     <span class="covered_strength">
       <span class="yellow">
         1.0
       </span>
    </span> hits/line
    )
  </h2>

  <a name="Helpers"></a>

  <div>
    <b>9</b> files in total.
  </div>

  <div class="t-line-summary">
    <b>9</b> relevant lines,
    <span class="green"><b>9</b> lines covered</span> and
    <span class="red"><b>0</b> lines missed. </span>
    (<span class="green">
  100.0%
</span>
)
  </div>

  

  <div class="file_list--responsive">
    <table class="file_list">
      <thead>
        <tr>
          <th>File</th>
          <th class="cell--number">% covered</th>
          <th class="cell--number">Lines</th>
          <th class="cell--number">Relevant Lines</th>
          <th class="cell--number">Lines covered</th>
          <th class="cell--number">Lines missed</th>
          <th class="cell--number">Avg. Hits / Line</th>
          
        </tr>
      </thead>
      <tbody>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#51927763d3f819e5cf9942c11aed9aa03b93970a" class="src_link" title="app/helpers/admin_helper.rb">app/helpers/admin_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#86c18b2bb2d84695179a8a353245175f5b81cd7b" class="src_link" title="app/helpers/application_helper.rb">app/helpers/application_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#ed4b0a2624288cde2c00d81ab6f2b379ac9243a4" class="src_link" title="app/helpers/doctor_helper.rb">app/helpers/doctor_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#d8c8856b308fdf469edc9f0e8205d593825335e7" class="src_link" title="app/helpers/employee_helper.rb">app/helpers/employee_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#fe1faa26b690807b6910d788994de5a2f6be8b93" class="src_link" title="app/helpers/medical_officer_helper.rb">app/helpers/medical_officer_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#53aa52fa23a1472cf06de0cd0069c196c0d5568f" class="src_link" title="app/helpers/reception_helper.rb">app/helpers/reception_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#4f5ffe3c20427e0a4849d3c1f176a36d12ce21bf" class="src_link" title="app/helpers/session_helper.rb">app/helpers/session_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#8098987c85a87b2a0d035bd22a46e31eee58d796" class="src_link" title="app/helpers/team_leader_helper.rb">app/helpers/team_leader_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#1b7c7d124c9fa15a79ef73b8d4f4e71c29a83117" class="src_link" title="app/helpers/volunteer_helper.rb">app/helpers/volunteer_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
      </tbody>
    </table>
  </div>
</div>

        
          <div class="file_list_container" id="Jobs">
  <h2>
    <span class="group_name">Jobs</span>
    (<span class="covered_percent">
      <span class="green">
  100.0%
</span>

     </span>
     covered at
     <span class="covered_strength">
       <span class="red">
         0.0
       </span>
    </span> hits/line
    )
  </h2>

  <a name="Jobs"></a>

  <div>
    <b>0</b> files in total.
  </div>

  <div class="t-line-summary">
    <b>0</b> relevant lines,
    <span class="green"><b>0</b> lines covered</span> and
    <span class="red"><b>0</b> lines missed. </span>
    (<span class="green">
  100.0%
</span>
)
  </div>

  

  <div class="file_list--responsive">
    <table class="file_list">
      <thead>
        <tr>
          <th>File</th>
          <th class="cell--number">% covered</th>
          <th class="cell--number">Lines</th>
          <th class="cell--number">Relevant Lines</th>
          <th class="cell--number">Lines covered</th>
          <th class="cell--number">Lines missed</th>
          <th class="cell--number">Avg. Hits / Line</th>
          
        </tr>
      </thead>
      <tbody>
        
      </tbody>
    </table>
  </div>
</div>

        
          <div class="file_list_container" id="Libraries">
  <h2>
    <span class="group_name">Libraries</span>
    (<span class="covered_percent">
      <span class="green">
  100.0%
</span>

     </span>
     covered at
     <span class="covered_strength">
       <span class="red">
         0.0
       </span>
    </span> hits/line
    )
  </h2>

  <a name="Libraries"></a>

  <div>
    <b>0</b> files in total.
  </div>

  <div class="t-line-summary">
    <b>0</b> relevant lines,
    <span class="green"><b>0</b> lines covered</span> and
    <span class="red"><b>0</b> lines missed. </span>
    (<span class="green">
  100.0%
</span>
)
  </div>

  

  <div class="file_list--responsive">
    <table class="file_list">
      <thead>
        <tr>
          <th>File</th>
          <th class="cell--number">% covered</th>
          <th class="cell--number">Lines</th>
          <th class="cell--number">Relevant Lines</th>
          <th class="cell--number">Lines covered</th>
          <th class="cell--number">Lines missed</th>
          <th class="cell--number">Avg. Hits / Line</th>
          
        </tr>
      </thead>
      <tbody>
        
      </tbody>
    </table>
  </div>
</div>

        
      </div>

      <div id="footer">
        Generated by <a href="https://github.com/simplecov-ruby/simplecov">simplecov</a> v0.21.2
        and simplecov-html v0.12.3<br/>
        using RSpec
      </div>

      <div class="source_files">
      
        <div class="source_table" id="e9352a1e31b79ae66666ecf77e15f8e80c0e425c">
  <div class="header">
    <h3>app/controllers/admin_controller.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>2</b> relevant lines.
      <span class="green"><b>2</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="3">
            <span class="hits">1</span>
            

            

            <code class="ruby">class AdminController &lt; ApplicationController</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="4">
            <span class="hits">1</span>
            

            

            <code class="ruby">  def index; end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="5">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="46273cbaedea6345f4dafeac1a23b32e3ced0fcc">
  <div class="header">
    <h3>app/controllers/application_controller.rb</h3>
    <h4>
      <span class="red">
  66.67%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>3</b> relevant lines.
      <span class="green"><b>2</b> lines covered</span> and
      <span class="red"><b>1</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="3">
            
            

            

            <code class="ruby"># Class for Application Controller</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="4">
            <span class="hits">1</span>
            

            

            <code class="ruby">class ApplicationController &lt; ActionController::Base</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="5">
            <span class="hits">1</span>
            

            

            <code class="ruby">  def after_sign_in_path_for(_resource)</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="6">
            
            

            

            <code class="ruby">    session_index_path(current_user)</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="7">
            
            

            

            <code class="ruby">  end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="8">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="d3d187d8a7191ae48bae2269d356f7398eaa1f98">
  <div class="header">
    <h3>app/controllers/doctor_controller.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>2</b> relevant lines.
      <span class="green"><b>2</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="3">
            <span class="hits">1</span>
            

            

            <code class="ruby">class DoctorController &lt; ApplicationController</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="4">
            <span class="hits">1</span>
            

            

            <code class="ruby">  def index; end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="5">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="0b5fce11849f7818fe77f48811b3c9567801a8a8">
  <div class="header">
    <h3>app/controllers/employee_controller.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>2</b> relevant lines.
      <span class="green"><b>2</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="3">
            
            

            

            <code class="ruby"># Class for Employee Controller</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="4">
            <span class="hits">1</span>
            

            

            <code class="ruby">class EmployeeController &lt; ApplicationController</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="5">
            <span class="hits">1</span>
            

            

            <code class="ruby">  def index; end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="6">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="46b107fe28fb593935c4ee034098af8e1cc1824c">
  <div class="header">
    <h3>app/controllers/medical_officer_controller.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>2</b> relevant lines.
      <span class="green"><b>2</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="3">
            
            

            

            <code class="ruby"># Class for Medical Officer controller</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="4">
            <span class="hits">1</span>
            

            

            <code class="ruby">class MedicalOfficerController &lt; ApplicationController</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="5">
            <span class="hits">1</span>
            

            

            <code class="ruby">  def index; end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="6">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="0f13a4f19b953b0cc2160a90d3c8144d09f2c0eb">
  <div class="header">
    <h3>app/controllers/reception_controller.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>2</b> relevant lines.
      <span class="green"><b>2</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="3">
            
            

            

            <code class="ruby"># Class for Reception Controller</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="4">
            <span class="hits">1</span>
            

            

            <code class="ruby">class ReceptionController &lt; ApplicationController</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="5">
            <span class="hits">1</span>
            

            

            <code class="ruby">  def index; end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="6">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="579c6035930e50b14e64239434af241edd729c1e">
  <div class="header">
    <h3>app/controllers/session_controller.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>12</b> relevant lines.
      <span class="green"><b>12</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="3">
            
            

            

            <code class="ruby"># Class for Session Controller</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="4">
            <span class="hits">1</span>
            

            

            <code class="ruby">class SessionController &lt; ApplicationController</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="5">
            <span class="hits">1</span>
            

            

            <code class="ruby">  before_action :authenticate_user!, except: [:index]</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="6">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="7">
            <span class="hits">1</span>
            

            

            <code class="ruby">  def index</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="7" data-linenumber="8">
            <span class="hits">7</span>
            

            

            <code class="ruby">    path = case current_user.role.name</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="9">
            
            

            

            <code class="ruby">           when &#39;Admin&#39;</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="10">
            <span class="hits">1</span>
            

            

            <code class="ruby">             admin_index_path</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="11">
            
            

            

            <code class="ruby">           when &#39;Doctor&#39;</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="12">
            <span class="hits">1</span>
            

            

            <code class="ruby">             doctor_index_path</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="13">
            
            

            

            <code class="ruby">           when &#39;Reception&#39;</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="14">
            <span class="hits">1</span>
            

            

            <code class="ruby">             reception_index_path</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="15">
            
            

            

            <code class="ruby">           when &#39;Team Leader&#39;</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="16">
            <span class="hits">1</span>
            

            

            <code class="ruby">             team_leader_index_path</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="17">
            
            

            

            <code class="ruby">           when &#39;Medical Officer&#39;</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="18">
            <span class="hits">1</span>
            

            

            <code class="ruby">             medical_officer_index_path</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="19">
            
            

            

            <code class="ruby">           when &#39;Employee&#39;</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="20">
            <span class="hits">1</span>
            

            

            <code class="ruby">             employee_index_path</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="21">
            
            

            

            <code class="ruby">           when &#39;Volunteer&#39;</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="22">
            <span class="hits">1</span>
            

            

            <code class="ruby">             volunteer_index_path</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="23">
            
            

            

            <code class="ruby">           end</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="7" data-linenumber="24">
            <span class="hits">7</span>
            

            

            <code class="ruby">    redirect_to path</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="25">
            
            

            

            <code class="ruby">  end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="26">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="daa5a177dff4567bc8b193e423b59740e02ef233">
  <div class="header">
    <h3>app/controllers/team_leader_controller.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>2</b> relevant lines.
      <span class="green"><b>2</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="3">
            
            

            

            <code class="ruby"># Class for Team Leader Controller</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="4">
            <span class="hits">1</span>
            

            

            <code class="ruby">class TeamLeaderController &lt; ApplicationController</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="5">
            <span class="hits">1</span>
            

            

            <code class="ruby">  def index; end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="6">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="1151f0105ce968309766039189cbe1989ff13f00">
  <div class="header">
    <h3>app/controllers/volunteer_controller.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>2</b> relevant lines.
      <span class="green"><b>2</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="3">
            
            

            

            <code class="ruby"># Class for Volunteer Controller</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="4">
            <span class="hits">1</span>
            

            

            <code class="ruby">class VolunteerController &lt; ApplicationController</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="5">
            <span class="hits">1</span>
            

            

            <code class="ruby">  def index; end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="6">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="51927763d3f819e5cf9942c11aed9aa03b93970a">
  <div class="header">
    <h3>app/helpers/admin_helper.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>1</b> relevant lines.
      <span class="green"><b>1</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="3">
            <span class="hits">1</span>
            

            

            <code class="ruby">module AdminHelper</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="4">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="86c18b2bb2d84695179a8a353245175f5b81cd7b">
  <div class="header">
    <h3>app/helpers/application_helper.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>1</b> relevant lines.
      <span class="green"><b>1</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="3">
            <span class="hits">1</span>
            

            

            <code class="ruby">module ApplicationHelper</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="4">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="ed4b0a2624288cde2c00d81ab6f2b379ac9243a4">
  <div class="header">
    <h3>app/helpers/doctor_helper.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>1</b> relevant lines.
      <span class="green"><b>1</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="3">
            <span class="hits">1</span>
            

            

            <code class="ruby">module DoctorHelper</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="4">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="d8c8856b308fdf469edc9f0e8205d593825335e7">
  <div class="header">
    <h3>app/helpers/employee_helper.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>1</b> relevant lines.
      <span class="green"><b>1</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="3">
            <span class="hits">1</span>
            

            

            <code class="ruby">module EmployeeHelper</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="4">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="fe1faa26b690807b6910d788994de5a2f6be8b93">
  <div class="header">
    <h3>app/helpers/medical_officer_helper.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>1</b> relevant lines.
      <span class="green"><b>1</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="3">
            <span class="hits">1</span>
            

            

            <code class="ruby">module MedicalOfficerHelper</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="4">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="53aa52fa23a1472cf06de0cd0069c196c0d5568f">
  <div class="header">
    <h3>app/helpers/reception_helper.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>1</b> relevant lines.
      <span class="green"><b>1</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="3">
            <span class="hits">1</span>
            

            

            <code class="ruby">module ReceptionHelper</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="4">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="4f5ffe3c20427e0a4849d3c1f176a36d12ce21bf">
  <div class="header">
    <h3>app/helpers/session_helper.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>1</b> relevant lines.
      <span class="green"><b>1</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="3">
            <span class="hits">1</span>
            

            

            <code class="ruby">module SessionHelper</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="4">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="8098987c85a87b2a0d035bd22a46e31eee58d796">
  <div class="header">
    <h3>app/helpers/team_leader_helper.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>1</b> relevant lines.
      <span class="green"><b>1</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="3">
            <span class="hits">1</span>
            

            

            <code class="ruby">module TeamLeaderHelper</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="4">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="1b7c7d124c9fa15a79ef73b8d4f4e71c29a83117">
  <div class="header">
    <h3>app/helpers/volunteer_helper.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>1</b> relevant lines.
      <span class="green"><b>1</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="3">
            <span class="hits">1</span>
            

            

            <code class="ruby">module VolunteerHelper</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="4">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="bb0c584197e340a7ec3c89ce4bd11c9a25334025">
  <div class="header">
    <h3>app/models/application_record.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>2</b> relevant lines.
      <span class="green"><b>2</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="3">
            <span class="hits">1</span>
            

            

            <code class="ruby">class ApplicationRecord &lt; ActiveRecord::Base</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="4">
            <span class="hits">1</span>
            

            

            <code class="ruby">  self.abstract_class = true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="5">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="86651ba87d0ff72375c7769f1b95be9784812c32">
  <div class="header">
    <h3>app/models/role.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>2</b> relevant lines.
      <span class="green"><b>2</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="3">
            <span class="hits">1</span>
            

            

            <code class="ruby">class Role &lt; ApplicationRecord</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="4">
            <span class="hits">1</span>
            

            

            <code class="ruby">  has_many :users</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="5">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="c5d91872b5963799da755249162c80e6fb813241">
  <div class="header">
    <h3>app/models/user.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>3</b> relevant lines.
      <span class="green"><b>3</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="never" data-hits="" data-linenumber="1">
            
            

            

            <code class="ruby"># frozen_string_literal: true</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="3">
            <span class="hits">1</span>
            

            

            <code class="ruby">class User &lt; ApplicationRecord</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="4">
            
            

            

            <code class="ruby">  # Include default devise modules. Others available are:</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="5">
            
            

            

            <code class="ruby">  # :confirmable, :lockable, :timeoutable, :trackable and :omniauthable</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="6">
            <span class="hits">1</span>
            

            

            <code class="ruby">  devise :database_authenticatable, :recoverable, :rememberable, :validatable</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="7">
            <span class="hits">1</span>
            

            

            <code class="ruby">  belongs_to :role</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="8">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
      </div>
    </div>
  </body>
</html>
